## ros-one-global-planner 1.17.3-4jammy.20251023.1417

=== debian/changelog ===
ros-one-global-planner (1.17.3-4jammy.20251023.1417) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 14:17:53 +0000

ros-one-global-planner (1.17.3-0jammy) jammy; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-global-planner (1.17.2-0jammy) jammy; urgency=high

  * Throttled failed to get plan error to 5 seconds (#1102 <https://github.com/ros-planning/navigation/issues/1102>)
  * Fixed the risk of divide by zero. (#1099 <https://github.com/ros-planning/navigation/issues/1099>)
  * No virtual destructor polyformic classes fixed.  (#1100 <https://github.com/ros-planning/navigation/issues/1100>)
  * Fixes #1026 <https://github.com/ros-planning/navigation/issues/1026> (#1028 <https://github.com/ros-planning/navigation/issues/1028>)
  * correctly delete previously allocated array (#1025 <https://github.com/ros-planning/navigation/issues/1025>)
    Co-authored-by: Fedor Vlasov <mailto:fedor.vlasov@de.kaercher.com>
  * Contributors: David V. Lu!!, Noriaki Ando, Orhan G. Hafif, mechatheo

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-global-planner (1.17.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-global-planner (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-global-planner (1.16.6-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.5-0jammy) jammy; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.4-0jammy) jammy; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * parameter for enabling outlineMap added (#926 <https://github.com/cobalt-robotics/navigation/issues/926>)
  * Contributors: Pavel Shumejko, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.3-0jammy) jammy; urgency=high

  * Remove unused visualize_potential (#866 <https://github.com/ros-planning/navigation/issues/866>)
  * remove unused costmap_pub_frequency (#858 <https://github.com/ros-planning/navigation/issues/858>)
  * Fix #845 <https://github.com/ros-planning/navigation/issues/845> (#846 <https://github.com/ros-planning/navigation/issues/846>)
  * Merge pull request #831 <https://github.com/ros-planning/navigation/issues/831> from ros-planning/feature/remove_slashes
    [melodic] Remove leading slashes from default frame_id parameters
  * Remove leading slashes from default frame_id parameters
  * Contributors: David V. Lu, David V. Lu!!, Michael Ferguson, Stepan Kostusiev

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-global-planner (1.16.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.16.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.16.0-0jammy) jammy; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * feat(orientation_filter): Added additional orientation filter options (#739 <https://github.com/ros-planning/navigation/issues/739>)
    * feat(orientation_filter): Added additional orientation filter options
    Enables plan references with different orientations for omni-base
    controllers. The following options are added:
    - Backward (backward path traversal, pose points to previous point)
    - Leftward (lateral path traversal in the positive y direction)
    - Rightward (lateral path traversal in the negative y direction)
    * Updated orientation filter option description
    * Added window size parameter to orientation filter
    Previously, the orientation was calculated using the current and the
    next point. However, when the path is somewhat jumpy, this results in
    poor orientations. By adding this parameter and altering the orientation
    calculation, the calculated orientation can be smoothened along the path
    by taking into account a larger window. The orientation of index point i
    will be calculated using the positions of i - window_size and i +
    window_size.
  * Contributors: Michael Ferguson, Rein Appeldoorn, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.15.2-0jammy) jammy; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.


## ros-one-global-planner 1.17.3-4jammy.20251208.0116

=== debian/changelog ===
ros-one-global-planner (1.17.3-4jammy.20251208.0116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 01:16:04 +0000

## ros-one-global-planner 1.17.3-4jammy.20260222.0015

=== debian/changelog ===
ros-one-global-planner (1.17.3-4jammy.20260222.0015) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 22 Feb 2026 00:15:04 +0000

## ros-one-global-planner 1.17.3-4noble.20251023.1449

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(global_planner)

find_package(catkin REQUIRED
  COMPONENTS
    angles
    costmap_2d
    dynamic_reconfigure
    geometry_msgs
    nav_core
    navfn
    nav_msgs
    pluginlib
    roscpp
    tf2_geometry_msgs
    tf2_ros
)

generate_dynamic_reconfigure_options(
  cfg/GlobalPlanner.cfg
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    costmap_2d
    dynamic_reconfigure
    geometry_msgs
    nav_core
    navfn
    nav_msgs
    pluginlib
    roscpp
    tf2_ros
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/quadratic_calculator.cpp
  src/dijkstra.cpp
  src/astar.cpp
  src/grid_path.cpp
  src/gradient_path.cpp
  src/orientation_filter.cpp
  src/planner_core.cpp
)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(planner
  src/plan_node.cpp
)
add_dependencies(planner ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(planner
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(TARGETS planner
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE)

install(FILES bgp_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-global-planner (1.17.3-4noble.20251023.1449) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 14:49:26 +0000

ros-one-global-planner (1.17.3-0noble) noble; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-global-planner (1.17.2-0noble) noble; urgency=high

  * Throttled failed to get plan error to 5 seconds (#1102 <https://github.com/ros-planning/navigation/issues/1102>)
  * Fixed the risk of divide by zero. (#1099 <https://github.com/ros-planning/navigation/issues/1099>)
  * No virtual destructor polyformic classes fixed.  (#1100 <https://github.com/ros-planning/navigation/issues/1100>)
  * Fixes #1026 <https://github.com/ros-planning/navigation/issues/1026> (#1028 <https://github.com/ros-planning/navigation/issues/1028>)
  * correctly delete previously allocated array (#1025 <https://github.com/ros-planning/navigation/issues/1025>)
    Co-authored-by: Fedor Vlasov <mailto:fedor.vlasov@de.kaercher.com>
  * Contributors: David V. Lu!!, Noriaki Ando, Orhan G. Hafif, mechatheo

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-global-planner (1.17.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-global-planner (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-global-planner (1.16.6-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.5-0noble) noble; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.4-0noble) noble; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * parameter for enabling outlineMap added (#926 <https://github.com/cobalt-robotics/navigation/issues/926>)
  * Contributors: Pavel Shumejko, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.3-0noble) noble; urgency=high

  * Remove unused visualize_potential (#866 <https://github.com/ros-planning/navigation/issues/866>)
  * remove unused costmap_pub_frequency (#858 <https://github.com/ros-planning/navigation/issues/858>)
  * Fix #845 <https://github.com/ros-planning/navigation/issues/845> (#846 <https://github.com/ros-planning/navigation/issues/846>)
  * Merge pull request #831 <https://github.com/ros-planning/navigation/issues/831> from ros-planning/feature/remove_slashes
    [melodic] Remove leading slashes from default frame_id parameters
  * Remove leading slashes from default frame_id parameters
  * Contributors: David V. Lu, David V. Lu!!, Michael Ferguson, Stepan Kostusiev

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-global-planner (1.16.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.16.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.16.0-0noble) noble; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * feat(orientation_filter): Added additional orientation filter options (#739 <https://github.com/ros-planning/navigation/issues/739>)
    * feat(orientation_filter): Added additional orientation filter options
    Enables plan references with different orientations for omni-base
    controllers. The following options are added:
    - Backward (backward path traversal, pose points to previous point)
    - Leftward (lateral path traversal in the positive y direction)
    - Rightward (lateral path traversal in the negative y direction)
    * Updated orientation filter option description
    * Added window size parameter to orientation filter
    Previously, the orientation was calculated using the current and the
    next point. However, when the path is somewhat jumpy, this results in
    poor orientations. By adding this parameter and altering the orientation
    calculation, the calculated orientation can be smoothened along the path
    by taking into account a larger window. The orientation of index point i
    will be calculated using the positions of i - window_size and i +
    window_size.
  * Contributors: Michael Ferguson, Rein Appeldoorn, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.15.2-0noble) noble; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.


=== debian/control ===
Source: ros-one-global-planner
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-costmap-2d, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-nav-core, ros-one-nav-msgs, ros-one-navfn, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/global_planner
Standards-Version: 3.9.2

Package: ros-one-global-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-costmap-2d, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-nav-core, ros-one-nav-msgs, ros-one-navfn, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2-ros
Description: A path planner library and node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-global-planner//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-global-planner 1.17.3-4noble.20251208.1202

=== debian/changelog ===
ros-one-global-planner (1.17.3-4noble.20251208.1202) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 12:02:59 +0000

## ros-one-global-planner 1.17.3-4noble.20260222.0125

=== debian/changelog ===
ros-one-global-planner (1.17.3-4noble.20260222.0125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 22 Feb 2026 01:25:48 +0000
